List customers
data.items, with page info alongside:
Get a customer
Update a customer
email, phone, firstName, lastName, country, metadataJson).
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read a paginated list of customers, fetch one by id, update its details, or delete it.
GET /api/v1/business/customers
| Query param | Type | Default | Description |
|---|---|---|---|
page | integer | 1 | Page number |
pageSize | integer | 25 | Rows per page |
search | string | — | Filter by name, email, phone or externalId |
curl "https://api.usenumero.com/numeroaccount/api/v1/business/customers?page=1&pageSize=25&search=john" \
-H "X-Numero-Api-Key: your_api_key" \
-H "X-Numero-Signature: $SIGNATURE" \
-H "X-Numero-Signature-Version: v2"
data.items, with page info alongside:
{
"data": [
{
"id": 4021,
"externalId": "user_10231",
"firstName": "John",
"lastName": "Doe",
"kycStatus": "PENDING"
}
],
"error": null,
"meta": {
"request_id": "req_365123ebc73323f1482508560ce6400e",
"pagination": {
"page": 1,
"page_size": 25,
"total": 1,
"has_more": false
}
}
}
GET /api/v1/business/customers/{id}
curl "https://api.usenumero.com/numeroaccount/api/v1/business/customers/4021" \
-H "X-Numero-Api-Key: your_api_key" \
-H "X-Numero-Signature: $SIGNATURE" \
-H "X-Numero-Signature-Version: v2"
PATCH /api/v1/business/customers/{id}
email, phone, firstName, lastName, country, metadataJson).
curl -X PATCH "https://api.usenumero.com/numeroaccount/api/v1/business/customers/4021" \
-H "Content-Type: application/json" \
-H "X-Numero-Api-Key: your_api_key" \
-H "X-Numero-Signature: $SIGNATURE" \
-H "X-Numero-Signature-Version: v2" \
-d '{ "phone": "08099998888", "metadataJson": "{\"tier\":\"platinum\"}" }'
DELETE /api/v1/business/customers/{id}
curl -X DELETE "https://api.usenumero.com/numeroaccount/api/v1/business/customers/4021" \
-H "X-Numero-Api-Key: your_api_key" \
-H "X-Numero-Signature: $SIGNATURE" \
-H "X-Numero-Signature-Version: v2"
{
"data": true,
"error": null,
"meta": {
"request_id": "req_365123ebc73323f1482508560ce6400e",
"pagination": null
}
}